libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::Dw100VertexMap::DewarpParams Struct Reference

Structure combining all dewarp parameters. More...

Collaboration diagram for libcamera::Dw100VertexMap::DewarpParams:
[legend]

## Classes
struct | [struct].coefficients

## Public Member Functions
int | setCoefficients (Span< const double > coeffs)
| Fill the coefficients with a list of coefficients.

## Public Attributes
Matrix< double, 3, 3 > | cm
| The camera matrix.
Matrix< double, 3, 3 > | cmNew
| The new camera matrix after dewarping.
struct | coefficients
| Structure containing the lens dewarp coefficients.

## Detailed Description

Structure combining all dewarp parameters.

## Member Function Documentation

## ◆ setCoefficients()

int libcamera::Dw100VertexMap::DewarpParams::setCoefficients | ( | Span< const double > | coeffs | ) |

Fill the coefficients with a list of coefficients.

Parameters

  coeffs |

Fill the coefficients with the ones from the provided span. These data is used to fill the coefficients in the order k1, k2, p1, p2, k3, k4, k5, k6, s1, s2, s3, s4. The span must either contain 4, 5, 8 or 12 entries, the remaining coefficients are set to 0.

Returns
  0 on success or -EINVAL if coeffs has the wrong size

## Member Data Documentation

## ◆ coefficients

struct libcamera::Dw100VertexMap::DewarpParams::[struct].coefficients libcamera::Dw100VertexMap::DewarpParams::coefficients

Structure containing the lens dewarp coefficients.

See https://docs.opencv.org/4.12.0/d9/d0c/group__calib3d.html for further details on the model.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/converter/converter_dw100_vertexmap.h
- src/libcamera/converter/converter_dw100_vertexmap.cpp